## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate psa-crypto-sys

Name:           rust-%{crate}
Version:        0.8.0
Release:        %autorelease
Summary:        Wrapper around the PSA Cryptography API

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            https://crates.io/crates/psa-crypto-sys
Source:         %{crates_source}
# Initial patched metadata
# * Bump bindgen to 0.58.0
Patch0:         psa-crypto-sys-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Wrapper around the PSA Cryptography API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages
which use "bindgen" feature of "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+interface-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+interface-devel %{_description}

This package contains library source intended for building other packages
which use "interface" feature of "%{crate}" crate.

%files       -n %{name}+interface-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+operations-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+operations-devel %{_description}

This package contains library source intended for building other packages
which use "operations" feature of "%{crate}" crate.

%files       -n %{name}+operations-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-devel %{_description}

This package contains library source intended for building other packages
which use "static" feature of "%{crate}" crate.

%files       -n %{name}+static-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 17 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.8.0-3
- Uncommitted changes

* Wed Mar 31 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.8.0-2
- Bump bindgen to 0.57.0

* Fri Mar 19 2021 Peter Robinson <pbrobinson@gmail.com> 0.8.0-1
- 0.8.0

* Mon Feb 15 2021 Peter Robinson <pbrobinson@gmail.com> 0.7.0-1
- 0.7.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Nov 29 2020 Fabio Valentini <decathorpe@gmail.com> 0.6.0-3
- bump bindgen to 0.56

* Wed Oct 21 2020 Peter Robinson <pbrobinson@gmail.com> 0.6.0-2
- fix pointless changelog time

* Wed Oct 21 2020 Peter Robinson <pbrobinson@gmail.com> 0.6.0-1
- 0.6.0

* Tue Sep 08 2020 Peter Robinson <pbrobinson@gmail.com> 0.5.1-2
- License is now shipped

* Tue Sep 08 2020 Peter Robinson <pbrobinson@gmail.com> 0.5.1-1
- 0.5.1

* Tue Aug 25 2020 Peter Robinson <pbrobinson@gmail.com> 0.5.0-1
- psa-crypto-sys-0.5.0

* Tue Aug 25 2020 Peter Robinson <pbrobinson@gmail.com> 0.3.0-3
- fix changelog

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 21 2020 Peter Robinson <pbrobinson@gmail.com> 0.3.0-1
- initial import
